package com.yijia.label.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 标签规则
对象 label_rule
 * 
 * @author yijia
 * @date 2021-06-15
 */
public class LabelRule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 标签主表id */
    private Integer id;

    /** 标签名 */
    private String labelName;

    /** 油站id */
    private Long stationId;

    /** 删除标识1 是 0 否 */
    private String delFlag;

    private List<LabelRuleDetail> labelRuleDetailList;

    public List<LabelRuleDetail> getLabelRuleDetailList() {
        return labelRuleDetailList;
    }

    public void setLabelRuleDetailList(List<LabelRuleDetail> labelRuleDetailList) {
        this.labelRuleDetailList = labelRuleDetailList;
    }

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setLabelName(String labelName) 
    {
        this.labelName = labelName;
    }

    public String getLabelName() 
    {
        return labelName;
    }

    public Long getStationId() {
        return stationId;
    }

    public void setStationId(Long stationId) {
        this.stationId = stationId;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("labelName", getLabelName())
            .append("stationId", getStationId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
